2018-10-17 16:23 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0004785Kali Linux[All Projects] Kali Package Improvementpublic2018-06-08 10:05
Reporterpkreuzt 
Assigned Tosteev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionno change required 
Product Version2018.2 
Target VersionFixed in Version 
Summary0004785: slow speed on software AP with hostapd
DescriptionWhen using setup described in 0004782 I get slow network speed on the internal (hostap'ed) wireless network. Reported speed by iwconfig is nominal (54MB/s) but real max speed is about 130-150KB/s when browsing or transferring files. This seems limited to the local iface, external one gets several MB/s.
I read somewhere this can be related to kernel injection patches interfering with hostapd. Is this the case? If it is, is there any workaround? I can live with that while supporting injection, but the hostapd solution is quite popular on ARM dev boards so if a workaround exists please tell me.
If not related, then this is a proper bug.
Attached Files

-Relationships
+Relationships

-Notes

~0009210

steev (developer)

I'm generating an image without the wifi injection patch applied, would you mind giving it a test once it is done?

~0009211

pkreuzt (reporter)

I can test, if it's for debugging. But in the case I was not clear enough, I'd prefer retaining injection capability even if it restricts network speed. Just asking for a workaround if it exists.

~0009224

pkreuzt (reporter)

Sorry, my fault. This is not a software bug but a hardware limitation. I was testing network speed against internet access, testing against another host in the same internal network doesn't show problems. Having two interfaces attached to a USB hub is a bottleneck on this board. This bug should be closed.
+Notes

-Issue History
Date Modified Username Field Change
2018-06-05 19:33 pkreuzt New Issue
2018-06-06 13:47 steev Assigned To => steev
2018-06-06 13:47 steev Status new => assigned
2018-06-06 14:23 steev Note Added: 0009210
2018-06-06 16:16 pkreuzt Note Added: 0009211
2018-06-08 10:03 pkreuzt Note Added: 0009224
2018-06-08 10:05 steev Status assigned => resolved
2018-06-08 10:05 steev Resolution open => no change required
+Issue History